
/*
* INTEL CONFIDENTIAL
* Copyright (c) 2023 Intel Corporation
* All Rights Reserved.
*
* The source code contained or described herein and all documents related to
* the source code (Material) are owned by Intel Corporation or its
* suppliers or licensors. Title to the Material remains with Intel
* Corporation or its suppliers and licensors. The Material may contain trade
* secrets and proprietary and confidential information of Intel Corporation
* and its suppliers and licensors, and is protected by worldwide copyright
* and trade secret laws and treaty provisions. No part of the Material may be
* used, copied, reproduced, modified, published, uploaded, posted,
* transmitted, distributed, or disclosed in any way without Intel's prior
* express written permission.
*
* No license under any patent, copyright, trade secret or other intellectual
* property right is granted to or conferred upon you by disclosure or
* delivery of the Materials, either expressly, by implication, inducement,
* estoppel or otherwise. Any license under such intellectual property rights
* must be express and approved by Intel in writing.
*
* Unless otherwise agreed by Intel in writing, you may not remove or alter
* this notice or any other notice embedded in Materials by Intel or Intel's
* suppliers or licensors in any way.
*/

#ifndef IA_PAL_TYPES_ISP_IDS_AUTOGEN_H
#define IA_PAL_TYPES_ISP_IDS_AUTOGEN_H

#include <stdint.h>

#ifdef __cplusplus
extern "C"{
#endif

typedef enum
{
    ia_pal_uuid_isp_acm_1_1 = 13026,
    ia_pal_uuid_isp_aestatistics_2_0 = 26055,
    ia_pal_uuid_isp_aestatistics_2_1 = 55073,
    ia_pal_uuid_isp_af_awb_frstatistics_2_0 = 13395,
    ia_pal_uuid_isp_awbstatistics_2_0 = 33260,
    ia_pal_uuid_isp_b2i_bnr_1_0 = 8682,
    ia_pal_uuid_isp_b2i_dm_1_0 = 64138,
    ia_pal_uuid_isp_b2i_ds_1_0_0 = 10497,
    ia_pal_uuid_isp_b2i_ds_1_0_1 = 20739,
    ia_pal_uuid_isp_b2i_sie_1_0 = 58817,
    ia_pal_uuid_isp_b2i_sie_1_1 = 42944,
    ia_pal_uuid_isp_bnlm_3_0 = 41108,
    ia_pal_uuid_isp_bnlm_3_1 = 2748,
    ia_pal_uuid_isp_bnlm_3_2 = 48964,
    ia_pal_uuid_isp_bnlm_3_3 = 21777,
    ia_pal_uuid_isp_burst_isp = 11827,
    ia_pal_uuid_isp_bxt_3a_ccm = 15593,
    ia_pal_uuid_isp_bxt_acm = 13506,
    ia_pal_uuid_isp_bxt_aestatistics = 21985,
    ia_pal_uuid_isp_bxt_af_awb_fr_statistics = 21650,
    ia_pal_uuid_isp_bxt_applycorrection = 45482,
    ia_pal_uuid_isp_bxt_awbstatistics = 10104,
    ia_pal_uuid_isp_bxt_blc = 11700,
    ia_pal_uuid_isp_bxt_blc_b = 26932,
    ia_pal_uuid_isp_bxt_blc_c = 18168,
    ia_pal_uuid_isp_bxt_bnlm = 54605,
    ia_pal_uuid_isp_bxt_ccm = 16559,
    ia_pal_uuid_isp_bxt_convert16sto8u = 48932,
    ia_pal_uuid_isp_bxt_cropstills = 34611,
    ia_pal_uuid_isp_bxt_cropvideo = 42997,
    ia_pal_uuid_isp_bxt_csc = 31704,
    ia_pal_uuid_isp_bxt_csc_yuv2rgb = 1391,
    ia_pal_uuid_isp_bxt_csc2 = 39659,
    ia_pal_uuid_isp_bxt_demosaic = 48695,
    ia_pal_uuid_isp_bxt_disparity = 55093,
    ia_pal_uuid_isp_bxt_dpc = 23342,
    ia_pal_uuid_isp_bxt_dpcm_decode = 16046,
    ia_pal_uuid_isp_bxt_dpcm_encode = 11653,
    ia_pal_uuid_isp_bxt_dvsstatistics = 10794,
    ia_pal_uuid_isp_bxt_gammatm = 44304,
    ia_pal_uuid_isp_bxt_gridbaseob = 46517,
    ia_pal_uuid_isp_bxt_gridbaseob_b = 28979,
    ia_pal_uuid_isp_bxt_gridbaseob_c = 18935,
    ia_pal_uuid_isp_bxt_inputscaler = 29163,
    ia_pal_uuid_isp_bxt_inputscalerv2 = 10913,
    ia_pal_uuid_isp_bxt_isl_inputcrop = 42521,
    ia_pal_uuid_isp_bxt_linearization = 33288,
    ia_pal_uuid_isp_bxt_lsc = 53711,
    ia_pal_uuid_isp_bxt_norm_lin = 64791,
    ia_pal_uuid_isp_bxt_norm_lin_b = 1034,
    ia_pal_uuid_isp_bxt_norm_lin_c = 20905,
    ia_pal_uuid_isp_bxt_ofa_dp = 18729,
    ia_pal_uuid_isp_bxt_ofa_mp = 5232,
    ia_pal_uuid_isp_bxt_ofa_ppp = 19509,
    ia_pal_uuid_isp_bxt_paddingsupport = 65094,
    ia_pal_uuid_isp_bxt_pafstatistics = 21380,
    ia_pal_uuid_isp_bxt_pixelformatter = 15205,
    ia_pal_uuid_isp_bxt_pixprecadapter = 15868,
    ia_pal_uuid_isp_bxt_pixprecadapter_postvcr = 64780,
    ia_pal_uuid_isp_bxt_pixprecadapter_precropstills = 29575,
    ia_pal_uuid_isp_bxt_pixprecadapter_precropvideo = 13533,
    ia_pal_uuid_isp_bxt_pixprecadapter_precsc2 = 60774,
    ia_pal_uuid_isp_bxt_pixprecadapter_pregdc = 12215,
    ia_pal_uuid_isp_bxt_pixprecadapter_prevcud = 23002,
    ia_pal_uuid_isp_bxt_pixprecadapter_prewb = 20178,
    ia_pal_uuid_isp_bxt_rynr_collector = 28476,
    ia_pal_uuid_isp_bxt_rynr_splitter = 61356,
    ia_pal_uuid_isp_bxt_shift14to16bit = 49150,
    ia_pal_uuid_isp_bxt_tnr5v1 = 43225,
    ia_pal_uuid_isp_bxt_vcr = 21834,
    ia_pal_uuid_isp_bxt_vcr2 = 5194,
    ia_pal_uuid_isp_bxt_vcsc = 60680,
    ia_pal_uuid_isp_bxt_vcsc_stills = 21171,
    ia_pal_uuid_isp_bxt_vcsc_video = 11176,
    ia_pal_uuid_isp_bxt_vcud = 17897,
    ia_pal_uuid_isp_bxt_wb = 32398,
    ia_pal_uuid_isp_bxt_wb_stills = 47444,
    ia_pal_uuid_isp_bxt_xnr4_m = 19837,
    ia_pal_uuid_isp_bxt_xnr4_mh = 47865,
    ia_pal_uuid_isp_call_info = 28030,
    ia_pal_uuid_isp_cas_1_0 = 22660,
    ia_pal_uuid_isp_cas_lite_1_0 = 54982,
    ia_pal_uuid_isp_ccm_3a_2_0 = 62344,
    ia_pal_uuid_isp_comp_spliter = 35257,
    ia_pal_uuid_isp_compand_1_0 = 35311,
    ia_pal_uuid_isp_compression = 58827,
    ia_pal_uuid_isp_crop_sis = 12166,
    ia_pal_uuid_isp_cvt_1_0 = 32427,
    ia_pal_uuid_isp_debug_info = 12967,
    ia_pal_uuid_isp_decompand_1_0 = 55624,
    ia_pal_uuid_isp_decompression = 44892,
    ia_pal_uuid_isp_dehaze_1_0 = 58873,
    ia_pal_uuid_isp_dma_cropper_dp = 47638,
    ia_pal_uuid_isp_dma_cropper_mp = 27230,
    ia_pal_uuid_isp_dma_cropper_ppp = 49162,
    ia_pal_uuid_isp_dol_1_0 = 11842,
    ia_pal_uuid_isp_dol_2_0 = 11890,
    ia_pal_uuid_isp_dol_lite_1_0 = 3700,
    ia_pal_uuid_isp_dol_lite_1_1 = 54674,
    ia_pal_uuid_isp_dol_mapper = 17361,
    ia_pal_uuid_isp_dol_parser = 44843,
    ia_pal_uuid_isp_dpc_1_1 = 51918,
    ia_pal_uuid_isp_dpc_1_3 = 23488,
    ia_pal_uuid_isp_dpc_2_0 = 5679,
    ia_pal_uuid_isp_drc_1 = 29204,
    ia_pal_uuid_isp_drc_2 = 4091,
    ia_pal_uuid_isp_ds_dynamic = 8249,
    ia_pal_uuid_isp_dvsstatistics_2 = 37235,
    ia_pal_uuid_isp_espa_1_0 = 47319,
    ia_pal_uuid_isp_espa_1_1 = 41663,
    ia_pal_uuid_isp_espa_isa_bayer_a = 1326,
    ia_pal_uuid_isp_espa_isa_ir_md = 37592,
    ia_pal_uuid_isp_espa_isa_sis_a = 59281,
    ia_pal_uuid_isp_espa_isa_sis_b = 52347,
    ia_pal_uuid_isp_espa_isa_wb = 63427,
    ia_pal_uuid_isp_espa_isa_yuv_a = 33409,
    ia_pal_uuid_isp_espa_isa_yuv_b = 58945,
    ia_pal_uuid_isp_espa_isa_yuv_c = 45072,
    ia_pal_uuid_isp_espa_psa_1 = 11719,
    ia_pal_uuid_isp_espa_psa_4 = 36228,
    ia_pal_uuid_isp_espa_psa_5 = 33315,
    ia_pal_uuid_isp_espa_psa_c = 41410,
    ia_pal_uuid_isp_espa_psa_d = 19387,
    ia_pal_uuid_isp_espa_psa_e = 40191,
    ia_pal_uuid_isp_espa_psa_f = 56948,
    ia_pal_uuid_isp_espa_psa_g = 17153,
    ia_pal_uuid_isp_espa_psa_h = 11266,
    ia_pal_uuid_isp_exy = 35008,
    ia_pal_uuid_isp_fr_grid_1_0 = 26958,
    ia_pal_uuid_isp_gammastar_1 = 42751,
    ia_pal_uuid_isp_gammatm_v3 = 57496,
    ia_pal_uuid_isp_gd_dpc_2_1 = 22642,
    ia_pal_uuid_isp_gdc3 = 14376,
    ia_pal_uuid_isp_gdc3_1 = 15925,
    ia_pal_uuid_isp_gdc3_1_1 = 35089,
    ia_pal_uuid_isp_gdc4_2 = 55837,
    ia_pal_uuid_isp_gdc5 = 41165,
    ia_pal_uuid_isp_gdc7 = 21644,
    ia_pal_uuid_isp_gdc_sp = 59334,
    ia_pal_uuid_isp_glim_1_0 = 55620,
    ia_pal_uuid_isp_glim_2_0 = 36029,
    ia_pal_uuid_isp_gltm_1_0 = 60649,
    ia_pal_uuid_isp_gltm_2_0 = 54721,
    ia_pal_uuid_isp_gmv_statistics_1_0 = 61146,
    ia_pal_uuid_isp_hdr_blc_1 = 40166,
    ia_pal_uuid_isp_hdr_pwldecomp_1 = 41666,
    ia_pal_uuid_isp_hdr_sqrtcomp_2 = 31478,
    ia_pal_uuid_isp_hdr_sqrtcomp_3 = 63941,
    ia_pal_uuid_isp_hdr_stitch_1w = 15195,
    ia_pal_uuid_isp_hdr_wb_1 = 23040,
    ia_pal_uuid_isp_hdrstats_1 = 23432,
    ia_pal_uuid_isp_is_odr_a = 11470,
    ia_pal_uuid_isp_is_odr_b = 55449,
    ia_pal_uuid_isp_is_odr_c = 50407,
    ia_pal_uuid_isp_gdc_fp_rifd_yuvn_regs = 36665,
    ia_pal_uuid_isp_gdc_sp_bodr_yuv4n_regs = 14288,
    ia_pal_uuid_isp_gdc_sp_rifd_yuv4n_regs = 35281,
    ia_pal_uuid_isp_ifd_gmv = 49014,
    ia_pal_uuid_isp_ifd_lsc = 27306,
    ia_pal_uuid_isp_ifd_pdaf = 57522,
    ia_pal_uuid_isp_ifd_pipe = 35909,
    ia_pal_uuid_isp_lbff_crop_espa = 11929,
    ia_pal_uuid_isp_odr_ae = 4220,
    ia_pal_uuid_isp_odr_af_std = 12347,
    ia_pal_uuid_isp_odr_af_sve = 38511,
    ia_pal_uuid_isp_odr_awb_sat = 24740,
    ia_pal_uuid_isp_odr_awb_std = 31055,
    ia_pal_uuid_isp_odr_awb_sve = 55896,
    ia_pal_uuid_isp_odr_burst_isp = 38589,
    ia_pal_uuid_isp_odr_cv = 12703,
    ia_pal_uuid_isp_odr_gmv_feature = 15342,
    ia_pal_uuid_isp_odr_gmv_match = 55280,
    ia_pal_uuid_isp_odr_ir = 45077,
    ia_pal_uuid_isp_odr_output_me = 37784,
    ia_pal_uuid_isp_odr_output_ps = 29596,
    ia_pal_uuid_isp_odr_pdaf = 7259,
    ia_pal_uuid_isp_ofs_dp_bodr_regs = 33527,
    ia_pal_uuid_isp_ofs_mp_bodr_regs = 16116,
    ia_pal_uuid_isp_ofs_pp_bodr_regs = 21210,
    ia_pal_uuid_isp_mgci_ifd_0 = 23364,
    ia_pal_uuid_isp_mgci_ifd_1 = 38025,
    ia_pal_uuid_isp_mgci_odr_0 = 53353,
    ia_pal_uuid_isp_mgci_odr_1 = 19802,
    ia_pal_uuid_isp_mgcv_ifd_0 = 32900,
    ia_pal_uuid_isp_mgcv_odr_0 = 6230,
    ia_pal_uuid_isp_mgcv_odr_1 = 4140,
    ia_pal_uuid_isp_sdp_left_ifd = 11944,
    ia_pal_uuid_isp_sdp_right_ifd = 60082,
    ia_pal_uuid_isp_sdp_image_out0_odr = 19554,
    ia_pal_uuid_isp_sdp_image_pp_odr = 12771,
    ia_pal_uuid_isp_sdp_map_odr = 29504,
    ia_pal_uuid_isp_slim_tnr_fp_blend_bifd_yuvnm1_regs = 7438,
    ia_pal_uuid_isp_slim_tnr_sp_bc_bifd_rs4nm1_regs = 56551,
    ia_pal_uuid_isp_slim_tnr_sp_bc_bifd_yuv4nm1_regs = 17856,
    ia_pal_uuid_isp_slim_tnr_spatial_bifd_yuvn_regs = 27893,
    ia_pal_uuid_isp_tnr_fp_blend_bifd_rs4n_regs = 42998,
    ia_pal_uuid_isp_tnr_fp_bodr_yuvn_regs = 46525,
    ia_pal_uuid_isp_tnr_mc_fp_bifd_mv16n_regs = 57956,
    ia_pal_uuid_isp_tnr_mc_fp_rifd_yuvnm1_regs = 52353,
    ia_pal_uuid_isp_tnr_scale_fp_bodr_yuv4n_regs = 54952,
    ia_pal_uuid_isp_tnr_scale_sp_bifd_y4n_regs = 31596,
    ia_pal_uuid_isp_tnr_scale_sp_bodr_y16n_regs = 23712,
    ia_pal_uuid_isp_tnr_sp_bc_bifd_yuv4n_regs = 19665,
    ia_pal_uuid_isp_tnr_sp_bc_bodr_rs4n_regs = 21608,
    ia_pal_uuid_isp_tnr_sp_bc_bifd_mv16n_regs = 28166,
    ia_pal_uuid_isp_tnr_sp_cme_lifd_y16n_regs = 50773,
    ia_pal_uuid_isp_tnr_sp_cme_lifd_y16nm1_regs = 58548,
    ia_pal_uuid_isp_tnr_sp_mc1_rifd_y4nm1_regs = 36828,
    ia_pal_uuid_isp_tnr_sp_mc2_bifd_mv16n_regs = 62418,
    ia_pal_uuid_isp_tnr_sp_mc2_rifd_rs4nm1_regs = 9229,
    ia_pal_uuid_isp_tnr_sp_mc2_rifd_yuv4nm1_regs = 44986,
    ia_pal_uuid_isp_tnr_sp_rme_bifd_y4n_regs = 39832,
    ia_pal_uuid_isp_tnr_sp_rme_bodr_mv16n_regs = 32045,
    ia_pal_uuid_isp_visp_metadata_sodr_regs = 16026,
    ia_pal_uuid_isp_visp_pixels_bodr_regs = 35866,
    ia_pal_uuid_isp_mgcx_ifd_0 = 7093,
    ia_pal_uuid_isp_mgcx_ifd_1 = 45704,
    ia_pal_uuid_isp_mgcx_ifd_pwc_fe_params = 1278,
    ia_pal_uuid_isp_mgcx_ifd_dwc_params = 53922,
    ia_pal_uuid_isp_mgcx_ifd_pwc_be_params = 38559,
    ia_pal_uuid_isp_mgcx_odr_0 = 35940,
    ia_pal_uuid_isp_ifd_pipe_1_1 = 2970,
    ia_pal_uuid_isp_ifd_pdaf_1_1 = 39144,
    ia_pal_uuid_isp_ifd_lsc_1_1 = 28219,
    ia_pal_uuid_isp_odr_pdaf_1_1 = 53155,
    ia_pal_uuid_isp_odr_awb_sat_1_1 = 35529,
    ia_pal_uuid_isp_odr_awb_sve_1_1 = 43997,
    ia_pal_uuid_isp_odr_awb_std_1_1 = 23115,
    ia_pal_uuid_isp_odr_ae_1_1 = 31159,
    ia_pal_uuid_isp_odr_af_std_1_1 = 15063,
    ia_pal_uuid_isp_odr_af_sve_1_1 = 33487,
    ia_pal_uuid_isp_odr_ir_1_1 = 10644,
    ia_pal_uuid_isp_odr_burst_isp_1_1 = 1041,
    ia_pal_uuid_isp_ifd_gmv_1_1 = 27778,
    ia_pal_uuid_isp_odr_gmv_feature_1_1 = 1054,
    ia_pal_uuid_isp_odr_gmv_match_1_1 = 27185,
    ia_pal_uuid_isp_lbff_crop_espa_1_1 = 52313,
    ia_pal_uuid_isp_odr_output_ps_1_1 = 28319,
    ia_pal_uuid_isp_odr_output_me_1_1 = 3544,
    ia_pal_uuid_isp_slim_tnr_spatial_bifd_yuvn_regs_1_1 = 22072,
    ia_pal_uuid_isp_slim_tnr_sp_bc_bifd_rs4nm1_regs_1_1 = 52406,
    ia_pal_uuid_isp_slim_tnr_sp_bc_bifd_yuv4nm1_regs_1_1 = 41423,
    ia_pal_uuid_isp_tnr_sp_bc_bifd_yuv4n_regs_1_1 = 48926,
    ia_pal_uuid_isp_slim_tnr_fp_blend_bifd_yuvnm1_regs_1_1 = 22950,
    ia_pal_uuid_isp_tnr_fp_bodr_yuvn_regs_1_1 = 59622,
    ia_pal_uuid_isp_tnr_sp_bc_bodr_rs4n_regs_1_1 = 32144,
    ia_pal_uuid_isp_tnr_fp_blend_bifd_rs4n_regs_1_1 = 13636,
    ia_pal_uuid_isp_tnr_scale_fp_bodr_yuv4n_regs_1_1 = 2103,
    ia_pal_uuid_isp_ofs_mp_bodr_regs_1_1 = 39683,
    ia_pal_uuid_isp_ofs_dp_bodr_regs_1_1 = 25284,
    ia_pal_uuid_isp_ofs_pp_bodr_regs_1_1 = 25983,
    ia_pal_uuid_isp_irs_1_0 = 16993,
    ia_pal_uuid_isp_lca_1_0 = 25352,
    ia_pal_uuid_isp_ldr_blc_1 = 12439,
    ia_pal_uuid_isp_ldr_wb_1 = 8496,
    ia_pal_uuid_isp_linearization2_0 = 10326,
    ia_pal_uuid_isp_linearization2_0_b = 42416,
    ia_pal_uuid_isp_linearization2_0_c = 28552,
    ia_pal_uuid_isp_linearization2hdr = 19752,
    ia_pal_uuid_isp_linearizationdg_dss = 38566,
    ia_pal_uuid_isp_linearizationwb_dss = 41930,
    ia_pal_uuid_isp_lossycomp_1_0 = 62606,
    ia_pal_uuid_isp_lossydecomp_1_0 = 41948,
    ia_pal_uuid_isp_lsc_1_1 = 16882,
    ia_pal_uuid_isp_lsc_1_2 = 2144,
    ia_pal_uuid_isp_ltm_cd_1_0 = 53308,
    ia_pal_uuid_isp_ltm_de_gamma_1_0 = 43310,
    ia_pal_uuid_isp_ltm_fd_1_0 = 6516,
    ia_pal_uuid_isp_ltm_vrt_ctrl = 64517,
    ia_pal_uuid_isp_mas = 53441,
    ia_pal_uuid_isp_mrc_1_0 = 57534,
    ia_pal_uuid_isp_norm_lin_dss = 48425,
    ia_pal_uuid_isp_nrf_6_00 = 24924,
    ia_pal_uuid_isp_nv12reader = 27990,
    ia_pal_uuid_isp_nv12writer = 15697,
    ia_pal_uuid_isp_ofa_1_dp = 60197,
    ia_pal_uuid_isp_ofa_1_mp = 59839,
    ia_pal_uuid_isp_ofa_1_ppp = 53002,
    ia_pal_uuid_isp_ofa_2_dp = 18275,
    ia_pal_uuid_isp_ofa_2_mp = 16233,
    ia_pal_uuid_isp_ofa_2_ppp = 16427,
    ia_pal_uuid_isp_outputscaler_2_0_a = 6800,
    ia_pal_uuid_isp_outputscaler_2_0_b = 51856,
    ia_pal_uuid_isp_packer_isa_bayer_a = 13215,
    ia_pal_uuid_isp_packer_isa_yuv_a = 3683,
    ia_pal_uuid_isp_packer_isa_yuv_b = 5000,
    ia_pal_uuid_isp_packer_isa_yuv_c = 27259,
    ia_pal_uuid_isp_padder_bayer_a = 19728,
    ia_pal_uuid_isp_padder_yuv_a = 40136,
    ia_pal_uuid_isp_padder_yuv_b = 49213,
    ia_pal_uuid_isp_padder_yuv_c = 23317,
    ia_pal_uuid_isp_pafstatistics_1 = 47216,
    ia_pal_uuid_isp_pafstatistics_1_1 = 38817,
    ia_pal_uuid_isp_pafstatistics_1_2 = 44308,
    ia_pal_uuid_isp_pext_1_0 = 43213,
    ia_pal_uuid_isp_pix_crop_ir_md = 54005,
    ia_pal_uuid_isp_pixcomp_1_0 = 4693,
    ia_pal_uuid_isp_pixelformatter = 41023,
    ia_pal_uuid_isp_pixelformatter_b = 54735,
    ia_pal_uuid_isp_pixelformatter_c = 3081,
    ia_pal_uuid_isp_pixprecadapter_post_sis = 53715,
    ia_pal_uuid_isp_pixprecadapter_s2v_c = 57170,
    ia_pal_uuid_isp_pixprecadapter_v2s_4 = 56918,
    ia_pal_uuid_isp_pme_1_0 = 51711,
    ia_pal_uuid_isp_pxl_crop_bayer_a = 34076,
    ia_pal_uuid_isp_pxl_crop_psa = 41874,
    ia_pal_uuid_isp_pxl_crop_sis_a = 38128,
    ia_pal_uuid_isp_pxl_crop_sis_b = 3437,
    ia_pal_uuid_isp_pxl_crop_yuv_a = 9082,
    ia_pal_uuid_isp_pxl_crop_yuv_b = 33476,
    ia_pal_uuid_isp_pxl_crop_yuv_c = 64756,
    ia_pal_uuid_isp_rgb_ir_2_0 = 14488,
    ia_pal_uuid_isp_rgb_ir_2_1 = 62955,
    ia_pal_uuid_isp_rgb_ir_2_1_bbb = 39657,
    ia_pal_uuid_isp_rgbs_grid_1_0 = 18844,
    ia_pal_uuid_isp_rgbs_statistics_1_0 = 39058,
    ia_pal_uuid_isp_sc_iefd = 2442,
    ia_pal_uuid_isp_sc_iefd_v2 = 7320,
    ia_pal_uuid_isp_sc_outputscaler_dp = 5852,
    ia_pal_uuid_isp_sc_outputscaler_dp_1_1 = 23205,
    ia_pal_uuid_isp_sc_outputscaler_ppp = 60118,
    ia_pal_uuid_isp_sc_outputscaler_ppp_1_1 = 52796,
    ia_pal_uuid_isp_sc_ylpf = 50844,
    ia_pal_uuid_isp_sdp_scp = 28247,
    ia_pal_uuid_isp_see = 15281,
    ia_pal_uuid_isp_see2 = 55908,
    ia_pal_uuid_isp_sharpening_1_0 = 25130,
    ia_pal_uuid_isp_sie_vcsc1_1 = 5286,
    ia_pal_uuid_isp_sis_1 = 1732,
    ia_pal_uuid_isp_sis_1_0_a = 44134,
    ia_pal_uuid_isp_sis_1_0_b = 7487,
    ia_pal_uuid_isp_spa_sis_a = 13401,
    ia_pal_uuid_isp_stream2mmio = 33280,
    ia_pal_uuid_isp_stream2mmio_b = 10400,
    ia_pal_uuid_isp_stream2mmio_c = 30373,
    ia_pal_uuid_isp_strm_crop_psa = 45913,
    ia_pal_uuid_isp_strm_crop_psa_c = 12123,
    ia_pal_uuid_isp_strm_crop_psa_d = 44733,
    ia_pal_uuid_isp_strm_crop_psa_e = 1739,
    ia_pal_uuid_isp_strm_crop_psa_f = 40056,
    ia_pal_uuid_isp_strm_crop_psa_g = 46549,
    ia_pal_uuid_isp_strm_crop_psa_h = 42698,
    ia_pal_uuid_isp_strm_crop_sis_a = 9544,
    ia_pal_uuid_isp_strm_crop_sis_b = 49322,
    ia_pal_uuid_isp_sve_1_0 = 11000,
    ia_pal_uuid_isp_sve_1_1 = 53103,
    ia_pal_uuid_isp_tm_app = 40423,
    ia_pal_uuid_isp_tnr_6_0 = 64565,
    ia_pal_uuid_isp_tnr_scale_lb = 33723,
    ia_pal_uuid_isp_tnr_scale_fp = 60056,
    ia_pal_uuid_isp_tnr_scale_sp = 44886,
    ia_pal_uuid_isp_tnr5_21 = 7824,
    ia_pal_uuid_isp_tnr5_22 = 21293,
    ia_pal_uuid_isp_tnr5_25 = 41522,
    ia_pal_uuid_isp_tnr5_3 = 35640,
    ia_pal_uuid_isp_tnr5_3_1 = 43630,
    ia_pal_uuid_isp_tnr7_bc_1_0 = 39981,
    ia_pal_uuid_isp_tnr7_bc_1_1 = 54840,
    ia_pal_uuid_isp_tnr7_blend_1_0 = 32696,
    ia_pal_uuid_isp_tnr7_cme_1_0 = 28470,
    ia_pal_uuid_isp_tnr7_ims_1_0 = 4720,
    ia_pal_uuid_isp_tnr7_ims_1_1 = 48987,
    ia_pal_uuid_isp_tnr7_mc_1_0 = 1886,
    ia_pal_uuid_isp_tnr_sp_mc2 = 43550,
    ia_pal_uuid_isp_tnr7_rme_1_0 = 8230,
    ia_pal_uuid_isp_tnr7_spatial_1_0 = 3133,
    ia_pal_uuid_isp_tvs_1_0 = 64291,
    ia_pal_uuid_isp_upscaler_1_0 = 25569,
    ia_pal_uuid_isp_vcr_3_1 = 36035,
    ia_pal_uuid_isp_vcr3 = 32600,
    ia_pal_uuid_isp_vcsc_2_0 = 6086,
    ia_pal_uuid_isp_vcsc_2_0_b = 13708,
    ia_pal_uuid_isp_vcsc_2_0_c = 21802,
    ia_pal_uuid_isp_vertical_padding_1_0 = 54484,
    ia_pal_uuid_isp_vltm_1_0 = 20302,
    ia_pal_uuid_isp_wb_1_1 = 5144,
    ia_pal_uuid_isp_wb_sis = 1689,
    ia_pal_uuid_isp_x2i_md_1_0 = 59520,
    ia_pal_uuid_isp_xnr_5_1 = 40137,
    ia_pal_uuid_isp_xnr_5_2 = 58858,
    ia_pal_uuid_isp_xnr_dss = 42418,

} ia_pal_uuid;

typedef enum
{
    ia_pal_uuid_system_api_bnlm_3_3 = 5901,
    ia_pal_uuid_system_api_compression = 41714,
    ia_pal_uuid_system_api_decompression = 41285,
    ia_pal_uuid_system_api_gdc7 = 60738,
    ia_pal_uuid_system_api_io_buffer = 47777,
    ia_pal_uuid_system_api_io_buffer_1_1 = 56474,
    ia_pal_uuid_system_api_lsc_1_2 = 19967,
    ia_pal_uuid_system_api_rgbs_grid_1_0 = 35673,
    ia_pal_uuid_system_api_tnr7_blend_1_0 = 53161,
    ia_pal_uuid_system_api_tvs_1_0 = 29571,

} ia_system_api_uuid;

#ifdef __cplusplus
}
#endif

#endif // IA_PAL_TYPES_ISP_IDS_AUTOGEN_H
